﻿using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class UserAllDto
    {
        public string? Id { get; set; }
        public string UserName { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FavoriteName { get; set; }
        public string PhoneNumber { get; set; }
        public string Email { get; set; }
        public string? ManagerId { get; set; }
        public string ManagerName { get; set; }
        public string UniversityName { get; set; }
        public string QualificationName { get; set; }
        public string JobTitleName { get; set; }
        public string IndustryName { get; set; }
        public string CountryName { get; set; }
       
        public long? QualificationId { get; set; }
        public long? UniversityId { get; set; }
        public long? JobTitleId { get; set; }
        public long? IndustryId { get; set; }
        public long? CountryId { get; set; }
        public bool IsStopped { get; set; }

    }
}
