﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class OrderAllocation : AuditEntity
    {
        public int NumberOfDays { get; set; }
        [ForeignKey("OrderTypeId")]
        public OrderType OrderType { get; set; }
        public long OrderTypeId { get; set; }

        [ForeignKey("LeaveTypeId")]
        public LeaveType? LeaveType { get; set; }
        public long? LeaveTypeId { get; set; }
        public int Period { get; set; }
        [Filter]
        public string EmployeeId { get; set; }

    }
}
